<?php
class D4U_Functions_Block_Adminhtml_Functions_Edit_Tab_Form extends Mage_Adminhtml_Block_Widget_Form
{
	protected function _prepareForm()
	{
		$form = new Varien_Data_Form();
		$this->setForm($form);
		$fieldset = $form->addFieldset('functions_form', array('legend'=>Mage::helper('functions')->__('Item information')));

		$fieldset->addField('title', 'text', array(
			'label'     => Mage::helper('functions')->__('Title'),
			'class'     => 'required-entry',
			'required'  => true,
			'name'      => 'title',
		));

		$fieldset->addField('status', 'select', array(
			'label'     => Mage::helper('functions')->__('Status'),
			'name'      => 'status',
			'values'    => array(
				array(
					'value'     => 1,
					'label'     => Mage::helper('functions')->__('Active'),
				),

				array(
					'value'     => 0,
					'label'     => Mage::helper('functions')->__('Inactive'),
				),
			),
		));

		$fieldset->addField('content', 'editor', array(
			'name'      => 'content',
			'label'     => Mage::helper('functions')->__('Content'),
			'title'     => Mage::helper('functions')->__('Content'),
			'style'     => 'width:98%; height:400px;',
			'wysiwyg'   => false,
			'required'  => true,
		));

		if ( Mage::getSingleton('adminhtml/session')->get<Module>Data() )
		{
			$form->setValues(Mage::getSingleton('adminhtml/session')->get<Module>Data());
			Mage::getSingleton('adminhtml/session')->set<Module>Data(null);
		} elseif ( Mage::registry('functions_data') ) {
			$form->setValues(Mage::registry('functions_data')->getData());
		}
		return parent::_prepareForm();
	}
}
?>